package com.tofly.config.controller;

import org.jasypt.encryption.StringEncryptor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author Administrator
 * @date 2019/9/10  14:44
 */
@RestController
public class EncryptController {

    @Autowired
    private StringEncryptor stringEncryptor;

    @Value("${spring.cloud.config.server.native.search-locations}")
    private String path;

    @RequestMapping("/encrypt")
    public String encrypt(String word){
        return stringEncryptor.encrypt(word);
    }

    @GetMapping("/test")
    public String test(){
        return path;
    }
}
